<?php
defined('PHP168_PATH') or die();

$this_controller->check_admin_action($ACTION) or message('no_privilege');

if(REQUEST_METHOD == 'GET'){
    $site = $_GET['alias'];
    $category = &$this_system->load_module('category');
    
    $category->delete(array(
		'where' => "site ='$site'",
		'delete_hook' => true
	));
    
    $this_module->delete($site);
    $this_system->log(array(
		'title' => $P8LANG['_module_delete_admin_log'],
		'request' => $_POST,
	));
    message('done');
}
